Openi DeveloperDeveloper

Check that a version fits a pair of datasets

POST
/v1/rulesets/{ruleset_id}/versions/{version}/validate
AuthorizationBearer <token>

In: header

Path Parameters

ruleset_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Formatuuid
version*integer
Range1 <= value <= 9007199254740991

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

left_dataset_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Formatuuid
right_dataset_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Formatuuid

Response Body

application/json

application/problem+json

curl -X POST "https://example.com/v1/rulesets/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/1/validate" \  -H "Content-Type: application/json" \  -d '{    "left_dataset_id": "cb62a89e-6ea5-4cc0-b5b1-5e46e13b5681",    "right_dataset_id": "63e40be6-71bb-4521-bff6-3e1b9d7738e8"  }'
{  "valid": true}